consul {
{% include 'consul-block/consul-base-config.hcl.j2' %}

  server_service_name = "nomad-server"
  server_auto_join    = true

  tags = [
    # tcp tags
    "traefik.enable=true",
    "traefik.consulcatalog.connect=false",
    "traefik.tcp.routers.nomad-server.entrypoints=websecure",
    "traefik.tcp.services.nomad-server.loadbalancer.server.port=4646",
    "traefik.tcp.routers.nomad-server.tls.passthrough=true",
    "traefik.tcp.routers.nomad-server.rule=HostSNI(`{{ traefik_dns_host }}`)",
    
    # http tags
    "traefik.http.routers.nomad-server.entrypoints=web",
    "traefik.http.routers.nomad-server.service=noop@internal",
    "traefik.http.routers.nomad-server.middlewares=redirect-to-http-to-https@file",
    "traefik.http.routers.nomad-server.rule=Host(`{{ traefik_dns_host }}`)"
  ]
}
